%global _legacy_common_support 1

Name:		rmanage
Version:	0.1.8
Release:	%mkrel 13
License:	GPLv2
Url:		http://rmanage.googlecode.com/
Group:		Networking/Other
Source:		http://rmanage.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-de-po.patch
Patch2:		%{name}-configure-in.patch
Patch3:		%{name}-interface.patch
Patch4:		rmanage-0.1.8-automake-1.13.patch
Summary:	A network discovery and management tool
BuildRequires:	desktop-file-utils
BuildRequires:	gtk2-devel
BuildRequires:	gettext

Requires:	xterm
Requires:	gksu

%description
Rmanage is a small linux+GTK based LAN monitoring and managemet application

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure
%make_build
pushd po
%make_build
popd

%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.cnf



%changelog
* Fri Aug 21 2020 joequant <joequant> 0.1.8-13.mga8
+ Revision: 1617158
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 0.1.8-12.mga8
+ Revision: 1516503
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.1.8-11.mga7
+ Revision: 1300840
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 cjw <cjw> 0.1.8-10.mga7
+ Revision: 1155355
- do not try to disable build of debug packages

* Fri Feb 12 2016 umeabot <umeabot> 0.1.8-9.mga6
+ Revision: 958876
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.8-8.mga5
+ Revision: 747526
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.8-7.mga5
+ Revision: 688682
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.1.8-6.mga4
+ Revision: 518093
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.1.8-5.mga3
+ Revision: 380366
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 cjw <cjw> 0.1.8-4.mga3
+ Revision: 344519
- patch4: fix build with automake 1.13

* Wed Mar 07 2012 matteo <matteo> 0.1.8-3.mga2
+ Revision: 220673
- fixed wrong version displayed

* Thu Jan 05 2012 matteo <matteo> 0.1.8-2.mga2
+ Revision: 191953
- unzip patches

* Fri Dec 30 2011 matteo <matteo> 0.1.8-1.mga2
+ Revision: 188982
- fixed desktop file patch
- imported package rmanage

